DH_INSTALLINITRAMFS(1)

NAME
dh_installinitramfs - install initramfs hooks and setup maintscripts

SYNOPSIS
dh_installinitramfs [debhelper options] [-n]

DESCRIPTION
dh_installinitramfs is a debhelper program that is responsible for installing Debian package provided initramfs hooks.

If dh_installinitramfs installs or detects one or more initramfs hooks in the package, then it also automatically generates the noawait trigger update-initframfs command needed to interface with the Debian initramfs system. This trigger is inserted into the packaging by dh_installdeb(1).

FILES

debian/package.initramfs-hook
    Assumed to be an initramfs hook that will be installed into usr/share/initramfs-tools/hooks/package in the package build directory. See HOOK SCRIPTS in initramfs-tools(8) for more information about initramfs hooks.

OPTIONS

-n, --no-scripts
    Do not add the update-initramfs trigger even if it seems like the package might need it. The option is called --no-scripts for historical reasons as dh_installinitramfs would previously generate maintainer scripts that called update-initramfs -u.

    Use this option, if you need to interface with the update-initramfs system that is not satisfied by the noawait trigger (e.g. because you need the extra guarantees and head-aches of a await trigger).

NOTES
Note that this command is not idempotent. dh_prep(1) should be called between invocations of this command. Otherwise, it may cause multiple instances of the same text to be added to triggers file.

SEE ALSO
debhelper(7) update-initramfs(8) initramfs-tools(8)

This program is a part of debhelper.

AUTHOR
Niels Thykier <niels@thykier.net>